Name:           Glide3-libGL
Version:        6.2.1
Release:        6%{?dist}
Summary:        Glide3 OpenGL library for use with 3Dfx Voodoo 1 & 2 cards
Group:          System Environment/Libraries
License:        MIT/X11
URL:            http://www.mesa3d.org/
Source0:        http://dl.sf.net/mesa3d/MesaLib-%{version}.tar.bz2
Source1:        Glide3-libGL.sh
Source2:        Glide3-libGL-README
Patch0:         Mesa-6.2.1-config.patch
Patch1:         Mesa-6.2.1-64bit.patch
Patch2:         Mesa-6.2.1-antialias.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libX11-devel libXext-devel libXt-devel libXi-devel libXmu-devel
BuildRequires:  xorg-x11-proto-devel Glide3-devel libGL-devel
ExclusiveArch:  %{ix86} x86_64
 
%description
This version of the Mesa OpenGL library renders 3D graphics using Glide3
for 3Dfx Voodoo 1 & 2 cards, thus allowing hardware accelerated OpenGL on
these 3D only cards. To start an OpenGL application on your Voodoo instead of
on your regular videocard type: "Glide3-libGL <appname> [args]".

You do NOT need this package if you have a 3Dfx Voodoo 3 or 5, the regular
mesa-libGL package supports these full (2D and 3D) video-cards through DRI
(For these 3Dfx cards you do need the regular Glide3 package though).

The Mesa 3D graphics library is a powerful and generic toolset for
creating hardware assisted computer graphics. To the extent that Mesa
utilizes the OpenGL command syntax or state machine, it is being used
with authorization from Silicon Graphics, Inc.  


%prep
%setup -q -n Mesa-%{version}
%patch0 -p1 -b .config
%patch1 -p1 -b .64bit
%patch2 -p1 -b .antialias
install -p -m 644 %{SOURCE2} README.fedora

 
%build
%ifarch %{ix86}
  TARGET=linux-x86-glide
%else
  TARGET=linux-glide
%endif
make %{?_smp_mflags} LIB_DIR=\$\(TOP\)/%{_lib} ${TARGET}
 
 
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/Glide3-libGL/
install -p -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/%{_bindir}/Glide3-libGL
cp -a %{_lib}/libGL.so* $RPM_BUILD_ROOT%{_libdir}/Glide3-libGL/

 
%clean
rm -rf $RPM_BUILD_ROOT
 
 
%files
%defattr(-,root,root,0755)
%doc README.fedora docs/license.html
%{_bindir}/Glide3-libGL
%{_libdir}/Glide3-libGL
 
 
%changelog
* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 6.2.1-6
- FE6 Rebuild

* Mon Feb 13 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 6.2.1-5
- Bump release and rebuild for new gcc4.1 and glibc.
- add %%{?dist} for consistency with my other packages

* Mon Jan 16 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 6.2.1-4
- Add libGL-devel to BR, to work around a bug in the Mesa makefiles
  where it tries to link against libGL before it has build it.

* Mon Jan 16 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 6.2.1-3
- Fixed up License.

* Sun Jan 15 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 6.2.1-2
- Recreated / redid patch0 and 1 as I lost them (stupid me).
- Added patch2 which adds proper support for anti-aliasing.
- Modified the BuildRequires and -config patch to work with modular-X.
- Changed name to Glide3-libGL, which IMHO really is the most correct name.

* Mon Aug 15 2005 Hans de Goede <j.w.r.degoede@hhs.nl> 6.2.1-1
- Initial Fedora Extras package
